function imprimir(obj)
% IMPRIMIR imprime por pantalla las propiedades físicas de un escalón.
%
%   IMPRIMIR(obj)
%       >> obj  = Objeto escalón
%
%   Olivier Pujol (2010)
%
if (isa(obj,'escalón')==0),error('¡Tipo de objeto incorrecto!');end

disp(sprintf('  Nombre del escalón:                       %s', obj.nombre));
disp(sprintf('  Posición del escalón:                  %g nm', obj.x));
disp(sprintf('  Energía potencial de entrada:          %g eV', obj.Epe));
disp(sprintf('  Energía potencial de salida:          %g eV', obj.Eps));
disp(sprintf('  Vector de onda de entrada:          (%g; %gi) nm^{-1}', real(obj.ke),imag(obj.ke)));
disp(sprintf('  Vector de onda de salida:          (%g; %gi) nm^{-1}', real(obj.ks),imag(obj.ks)));
%
return;