function obj=set(obj,varargin)
% SET da un nuevo objeto obtenido con la modificación de uno o varios valores de  
%   las propiedades de un escalón.
%
%   obj=SET(obj,propiedad1,valor1,propiedad2,valor2,...) 
%					-- varargin indica varios argumentos de entrada.
%       >> obj          = Objet escalón
%       >> propiedad    = Propiedad del escalón
%       >> valor        = Valor de la propiedad 
%
%   Propiedad =   'Nombre','Posición','EnergíaPotencialEntrada','EnergíaPotencialSalida', 
%                 'VectorOndaEntrada', 'VectorOndaSalida'
%
%       << obj          = Nuevo objeto escalón
%
%   Olivier Pujol (2010)
%
if (isa(obj,'escalón')==0),error('¡Tipo de objeto incorrecto!');end

prop_argin=varargin;
while length(prop_argin)>=2
    propiedad=prop_argin{1};
    valor=prop_argin{2};
    prop_argin=prop_argin(3:end);
    switch propiedad
        case 'Nombre'
            obj.nombre=valor;
        case 'Posición'
            obj.x=valor;
        case 'EnergíaPotencialEntrada'
            obj.Epe=valor;
        case 'EnergíaPotencialSalida'
            obj.Eps=valor;
        case 'VectorOndaEntrada'
            obj.ke=valor;
        case 'VectorOndaSalida'
            obj.ks=valor;
        otherwise
            error([propiedad,' no es la propiedad de un escalón.']);
    end
end

return;