function TES=matriz(sys)
% MATRIZ calcula la matriz de transferencia del sistema.
%
%   TES=matriz(sys)
%       >> sys = Sistema
%       << TES = Matriz de transferencia (2*2) del sistema
%
% Olivier Pujol (2010)
%
if (nargin~=1), error('Número incorrecto de argumentos de entrada!');end
%
nE=size(sys,2);     % El número de valores de la energía corresponde al número de sistemas
TES=cell(1,nE);     % Inicialización de la matriz de transferencia
%
for iE=1:length(sys)
    TES{iE}=matriz(sys{iE}{2});
    for n=3:length(sys{iE})
        TES{iE}=translación(sys{iE}{n-1},sys{iE}{n})*TES{iE};
        TES{iE}=matriz(sys{iE}{n})*TES{iE};
    end
end
%
return;