function probabilidad=normalización(sys,E,rho,inc_int)
%   NORMALIZACIÓN permite comprobar que la densidad lineal de probabilidad está 
%   normalizada a 1. 
%
%   probabilidad=NORMALIZACIÓN(sys,E,rho,pas)
%       >> sys 		= Sistema
%       >> E 		= Valores de energía del objeto físico
%       >> rho 		= Densidad lineal de probabilidad 
%       >> inc_int 	= Incremento de integración
%       << probabilidad (tiene que ser cercana a 1)
%
% Olivier Pujol (2010)
%
if length(E)>=2
    En=input('Elija un valor de la energía:');
    Ep=nan(1,length(sys{1}));
    Ep(1)=sys{1}{1}(1);
    for ic=2:length(sys{1})
        Ep(ic)=get(sys{1}{ic},'EnergíaPotencialSalida');
    end
    En=min(Ep)+En;    
    iE=find(abs(En-E)==min(abs(En-E))); % Punto correspondiente al valor más cercano entre En y E
end
if (length(E)==1),iE=1;end

probabilidad=0;
for iz=1:length(sys{iE})
probabilidad = probabilidad+0.5*sum((rho{iz}(1:end-1)+rho{iz}(2:end))*inc_int);
end

return;